Skip to main content
`Ctrl`+`K`

# numpy.polynomial.legendre.Legendre.fromroots

method

classmethod polynomial.legendre.Legendre.fromroots(roots, domain=[], window=None, symbol='x')

  Return series instance that has the specified roots.

  Returns a series representing the product `(x - r[0])*(x - r[1])*...*(x - r[n-1])`, where `r` is a list of roots.

  Parameters:
    roots array_like

      List of roots.

    domain{[], None, array_like}, optional

      Domain for the resulting series. If None the domain is the interval from the smallest root to the largest. If [] the domain is the class domain. The default is [].

    window{None, array_like}, optional

      Window for the returned series. If None the class window is used. The default is None.

    symbol str, optional

      Symbol representing the independent variable. Default is ‘x’.

  Returns:
    new_series series

      Series with the specified roots.